---
lang: en
title: 'API docs: pooling.poolable'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolable.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [Poolable](./pooling.poolable.md)

## Poolable interface

Life cycle methods that a poolable resource can optionally implement so that they can be triggered by the pooling service

**Signature:**

```typescript
export interface Poolable extends LifeCycleObserver 
```
**Extends:** [LifeCycleObserver](./core.lifecycleobserver.md)

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[acquire(requestCtx)?](./pooling.poolable.acquire.md)


</td><td>

_(Optional)_ To be called right after the resource is acquired from the pool. If it fails, the resource will be destroyed from the pool. The method should be used to set up the acquired resource.


</td></tr>
<tr><td>

[release()?](./pooling.poolable.release.md)


</td><td>

_(Optional)_ To be called right before the resource is released to the pool. If it fails, the resource will be destroyed from the pool. This method should be used to clean up the resource to be returned.


</td></tr>
</tbody></table>


